clang-tools 10.0.0

Namespaces | Functions | Variables
TooSmallLoopVariableCheck.cpp File Reference
`#include "TooSmallLoopVariableCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for TooSmallLoopVariableCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::bugprone

## Functions
static unsigned | clang::tidy::bugprone::calcMagnitudeBits (const ASTContext &Context, const QualType &IntExprType)
| Returns the magnitude bits of an integer type. More...
static unsigned | clang::tidy::bugprone::calcUpperBoundMagnitudeBits (const ASTContext &Context, const Expr *UpperBound, const QualType &UpperBoundType)
| Calculate the upper bound expression's magnitude bits, but ignore constant like values to reduce false positives. More...

## Variables
static constexpr llvm::StringLiteral | clang::tidy::bugprone::LoopName
static constexpr llvm::StringLiteral | clang::tidy::bugprone::LoopVarName
static constexpr llvm::StringLiteral | clang::tidy::bugprone::LoopVarCastName
static constexpr llvm::StringLiteral | clang::tidy::bugprone::LoopUpperBoundName
static constexpr llvm::StringLiteral | clang::tidy::bugprone::LoopIncrementName